use Module::Build;

my $sdl_compile_flags = `sdl-config --cflags`;
my $sdl_link_flags    = `sdl-config --libs`;

chomp( $sdl_compile_flags );
chomp( $sdl_link_flags );

my $build_gl = Module::Build->new(
	module_name          => 'SDL::OpenGL',
	extra_compiler_flags => [
		'-I/usr/X11R6/include/GL', 
		'-Isrc',
		$sdl_compile_flags,
		'-DHAVE_GL',
		'-DHAVE_GLU',
	],
	extra_linker_flags   => [
		$sdl_link_flags,
		'-lGL',
		'-lGLU',
		],
	xs_files             => { 'src/OpenGL.xs' => 'src/SDL_OpenGL.xs' },
);

$build_gl->create_build_script();
